Dirac Video Codec

# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::CompDecompressor Class Reference

Decompress a picture component. More...

`#include <comp_decompress.h>`

Collaboration diagram for dirac::CompDecompressor:
[legend]

List of all members.

## Public Member Functions

- CompDecompressor (DecoderParams &decp, const PictureParams &fp)
    Constructor.
- void Decompress (ComponentByteIO *p_component_byteio, CoeffArray &coeff_data, SubbandList &bands)
    Decompress a picture component.

## Private Member Functions

- CompDecompressor (const CompDecompressor &cpy)
    Copy constructor is private and body-less.
- CompDecompressor & operator= (const CompDecompressor &rhs)
    Assignment = is private and body-less.
- void SetToVal (CoeffArray &pic_data, const Subband &node, CoeffType val)
    Sets the data of a specific subband node to a given value.
- void SetupCodeBlocks (SubbandList &bands)
    Set up the code block structures for each subband.

## Private Attributes

- DecoderParams & m_decparams
    Copy of the decompression parameters provided to the constructor.
- const PictureParams & m_pparams
    Reference to the picture parameters provided to the constructor.
- const PictureSort & m_psort
    Reference to the picture sort.

## Detailed Description

This class decompresses one of the three components (Y, U, or V) of a picture according to a given set or parameters. CompDecompressor is used by PictureCompressor..

## Constructor & Destructor Documentation

dirac::CompDecompressor::CompDecompressor | ( | DecoderParams & | decp,
|  | const PictureParams & | fp |
| ) |  |  |

Create and initialize a component decompressor with the given characteristics.

Parameters:

  | decp | decoding parameters
  | fp | picture parameters

dirac::CompDecompressor::CompDecompressor | ( | const CompDecompressor & | cpy | ) | `[private]`

Copy constructor is private and body-less. This class should not be copied.

## Member Function Documentation

void dirac::CompDecompressor::Decompress | ( | ComponentByteIO * | p_component_byteio,
|  | CoeffArray & | coeff_data,
|  | SubbandList & | bands |
| ) |  |  |

Decompress a PicArray containing a picture component (Y, U, or V).

Parameters:

  | p_component_byteio | Bytestream of component data
  | coeff_data | contains the component data to be decompressed
  | bands | the subband metadata

CompDecompressor& dirac::CompDecompressor::operator= | ( | const CompDecompressor & | rhs | ) | `[private]`

Assignment = is private and body-less. This class should not be assigned.

void dirac::CompDecompressor::SetToVal | ( | CoeffArray & | pic_data,
|  | const Subband & | node,
|  | CoeffType | val |
| ) |  |  | `[private]`

Sets the data of a specific subband node to a given value

Parameters:

  | pic_data | contains the component data
  | node | subband node
  | val | the value to set

void dirac::CompDecompressor::SetupCodeBlocks | ( | SubbandList & | bands | ) | `[private]`

Set up the code block structures for each subband

Parameters:

  | bands | the set of all the subbands

## Member Data Documentation

DecoderParams& dirac::CompDecompressor::m_decparams`[private]`

const PictureParams& dirac::CompDecompressor::m_pparams`[private]`

const PictureSort& dirac::CompDecompressor::m_psort`[private]`

The documentation for this class was generated from the following file:

- comp_decompress.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.